Subject: Re: 24.0.50; reloading files in python3

From: Chong Yidong <[email-masked]>
Date: Sun, 22 Aug 2010 19:51:52 -0400

> Reloading a python file into the current interpreter using C-c C-l fails
> for python3.  To test it, create a file hello.py with the contents:
>
> def Hello():
>     print ("Hello World");
>
> and load it into the python interpreter using C-c C-l.  Modify the file,
> than try to load it again.  The python interpreter will fail with an
> exception about reload() not being defined.

Thanks.  I've checked in the fix you suggested into the emacs-23 branch.

> I'm not sure if it is correct if emacs3.py is re-generated from
> emacs2.py as the comment in the header states.

I don't see any better solution, so I've removed the comment.